<div
  class="add-task__container"
  [ngClass]="{ 'add-task__modal': isTaskListNotEmpty$ | async }"
>
  <form
    class="add-task__container__form"
    [formGroup]="taskForm"
    (ngSubmit)="onSubmit()"
  >
    <span class="add-task__container__form__title">Nova Tarefa</span>
    <div class="add-task__container__form__container-input">
      <input
        type="text"
        formControlName="title"
        placeholder="Digite o título da tarefa."
      />
    </div>
    <div class="add-task__container__form__container-input">
      <input
        type="text"
        formControlName="description"
        placeholder="Digite a descrição da tarefa."
      />
    </div>
    <div class="add-task__container__form__actions">
      <button
        *ngIf="openedFromModal"
        class="add-task__container__form__actions__cancel"
        type="button"
        (click)="cancelEdit()"
      >
        Cancelar
      </button>
      <button type="submit" [disabled]="taskForm.invalid">Adicionar</button>
    </div>
  </form>
</div>
